Create a wire bank account
curl --request POST \
--url https://api-sandbox.circle.com/v1/businessAccount/banks/wires \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"idempotencyKey": "ba943ff1-ca16-49b2-ba55-1057e70ca5c7",
"accountNumber": "12340010",
"routingNumber": "121000248",
"billingDetails": {
"name": "Satoshi Nakamoto",
"city": "Boston",
"country": "US",
"line1": "100 Money Street",
"postalCode": "01234",
"line2": "Suite 1",
"district": "MA"
},
"bankAddress": {
"country": "US",
"bankName": "SAN FRANCISCO",
"city": "SAN FRANCISCO",
"line1": "100 Money Street",
"line2": "Suite 1",
"district": "CA"
}
}
'import requests
url = "https://api-sandbox.circle.com/v1/businessAccount/banks/wires"
payload = {
"idempotencyKey": "ba943ff1-ca16-49b2-ba55-1057e70ca5c7",
"accountNumber": "12340010",
"routingNumber": "121000248",
"billingDetails": {
"name": "Satoshi Nakamoto",
"city": "Boston",
"country": "US",
"line1": "100 Money Street",
"postalCode": "01234",
"line2": "Suite 1",
"district": "MA"
},
"bankAddress": {
"country": "US",
"bankName": "SAN FRANCISCO",
"city": "SAN FRANCISCO",
"line1": "100 Money Street",
"line2": "Suite 1",
"district": "CA"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
idempotencyKey: 'ba943ff1-ca16-49b2-ba55-1057e70ca5c7',
accountNumber: '12340010',
routingNumber: '121000248',
billingDetails: {
name: 'Satoshi Nakamoto',
city: 'Boston',
country: 'US',
line1: '100 Money Street',
postalCode: '01234',
line2: 'Suite 1',
district: 'MA'
},
bankAddress: {
country: 'US',
bankName: 'SAN FRANCISCO',
city: 'SAN FRANCISCO',
line1: '100 Money Street',
line2: 'Suite 1',
district: 'CA'
}
})
};
fetch('https://api-sandbox.circle.com/v1/businessAccount/banks/wires', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
"type": "wire",
"status": "pending",
"description": "WELLS FARGO BANK, NA ****0010",
"trackingRef": "CIR13FB13A",
"transferTypesInfo": {
"wire": {
"currencies": [
"USD",
"EUR"
]
},
"rtgs": {
"currencies": [
"USD"
]
}
},
"fingerprint": "eb170539-9e1c-4e92-bf4f-1d09534fdca2",
"billingDetails": {
"name": "Satoshi Nakamoto",
"city": "Boston",
"country": "US",
"line1": "100 Money Street",
"line2": "Suite 1",
"district": "MA",
"postalCode": "01234"
},
"bankAddress": {
"bankName": "SAN FRANCISCO",
"city": "SAN FRANCISCO",
"country": "US",
"line1": "100 Money Street",
"line2": "Suite 1",
"district": "CA"
},
"createDate": "2020-04-10T02:13:30.000Z",
"updateDate": "2020-04-10T02:13:30.000Z",
"virtualAccountEnabled": false
}
}{
"code": 400,
"message": "Bad request."
}{
"code": 401,
"message": "Malformed authorization."
}POST
/
v1
/
businessAccount
/
banks
/
wires
Create a wire bank account
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
- US Bank Account
- Non US Bank Account - IBAN Supported
- Non US Bank Account - IBAN Not Supported
Relevant fields for U.S. bank accounts.
Universally unique identifier (UUID v4) idempotency key. This key is utilized to ensure exactly-once execution of mutating requests.
Example:
"ba943ff1-ca16-49b2-ba55-1057e70ca5c7"
Account number that identifies the bank account.
Required string length:
6 - 35Example:
"12340010"
ABA routing number for the bank account. Note this has to be specific for bank wire transfers.
Example:
"121000248"
Show child attributes
Show child attributes
The address details for the bank, as provided during bank account creation.
Show child attributes
Show child attributes
Response
Successfully created a bank account for wire transfers.
Show child attributes
Show child attributes
Was this page helpful?
⌘I